#include <avr/io.h>

#include "ltc1257.h"

/* Prototypes: */
int main(void);
inline void ioinit(void);

int
main(void)
{
	unsigned int sawtooth = 0;
	
	ioinit();
	
	while(1)
	{
		/* Sawtooth-function: */
		if (sawtooth++ == 4095)
			sawtooth = 0;
		
		/* Write actual value to DAC: */
		ltc1257_ll_write(sawtooth);
	}
	
	/* NEVEREACHED */
	return 0;
}

inline void
ioinit(void)
{
	/* IO setup: */
	DDRC = (1 << PC3) | (1 << PC4) | (1 << PC5);	/* LTC1257 pins (output) */
	
	/* Low-level init of DAC: */
	ltc1257_ll_init();
}
